# Uses of Class it.tdlight.jni.TdApi.BotCommand (TDLight API 4.0.476 API)
use: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: BotCommand

# Uses of Class
it.tdlight.jni.TdApi.BotCommand

## Uses of TdApi.BotCommand in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BotCommand
Modifier and Type
Field
Description
`TdApi.BotCommand[]`
TdApi.BotCommands.`commands`
List of bot commands.
`TdApi.BotCommand[]`
TdApi.BotInfo.`commands`
List of the bot commands.
`TdApi.BotCommand[]`
TdApi.SetCommands.`commands`
List of the bot's commands.
Constructors in it.tdlight.jni with parameters of type TdApi.BotCommand
Modifier
Constructor
Description
``
`BotCommands(long botUserId, TdApi.BotCommand[] commands)`
Contains a list of bot commands.
``
`BotInfo(String shortDescription, String description, TdApi.Photo photo, TdApi.Animation animation, TdApi.BotMenuButton menuButton, TdApi.BotCommand[] commands, TdApi.ChatAdministratorRights defaultGroupAdministratorRights, TdApi.ChatAdministratorRights defaultChannelAdministratorRights, TdApi.InternalLinkType editCommandsLink, TdApi.InternalLinkType editDescriptionLink, TdApi.InternalLinkType editDescriptionMediaLink, TdApi.InternalLinkType editSettingsLink)`
Contains information about a bot.
``
`SetCommands(TdApi.BotCommandScope scope, String languageCode, TdApi.BotCommand[] commands)`
Sets the list of commands supported by the bot for the given user scope and language; for bots only.